## mythtv 34.0+fixes.20240210.e3e165a1

=== CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

#
# Can use cmake features introduced in 3.20.  Super-project has already
# validated the higher version required for android.
#
cmake_minimum_required(VERSION 3.20)

#
# Validate parameters
#
foreach(_param IN ITEMS SUPER_SOURCE_DIR SUPER_VERSION MYTHTV_SOURCE_VERSION
                        MYTHTV_SOURCE_BRANCH)
  if(${_param} STREQUAL "")
    message(FATAL_ERROR "${_param} is a required parameter")
  endif()
endforeach()

if(NOT DEFINED LIBS_INSTALL_PREFIX OR LIBS_INSTALL_PREFIX STREQUAL "")
  set(LIBS_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
endif()

#
# Where to find MythTV provided modules
#
# From the sources:
list(APPEND CMAKE_MODULE_PATH "${SUPER_SOURCE_DIR}/cmake")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

#
# Require the C++17 standard, and allow compiler extensions.
#
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS ON)

#
# Set CMake features
#
include(SetCmakePolicies NO_POLICY_SCOPE)
set(BUILD_SHARED_LIBS YES)
set(CMAKE_AUTOMOC ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

#
# Read user options (part 1).  On android, several of these options affect the
# initialization performed by the project function.
#
include(MythOptions)
message(STATUS "Including user overrides ${MYTH_USER_OVERRIDES1}")
include(${MYTH_USER_OVERRIDES1} OPTIONAL)

#
# Declare the main MythTV project
#
project(
  MythTV
  VERSION ${SUPER_VERSION}
  LANGUAGES C CXX
  DESCRIPTION
    "MythTV is a Free Open Source software digital video recorder (DVR) project."
  HOMEPAGE_URL https://www.mythtv.org)
include(VersionInformation)

#
# Read user options (part 2)
#
message(STATUS "Including user overrides ${MYTH_USER_OVERRIDES2}")
include(${MYTH_USER_OVERRIDES2} OPTIONAL)

#
# Inject code from cmake provided modules
#
include(CMakePushCheckState)
include(CTest)
include(CheckTypeSize)
include(GNUInstallDirs)

#
# Inject code from mythtv provided modules
#
include(GetLinuxInfo)
include(FedoraGlsLangHack)

#
# Find/Print host system information. LSB information used in configuring the
# libraries required by Vulkan support.
#
include("BuildSystem${CMAKE_HOST_SYSTEM_NAME}" OPTIONAL)

# For debugging
include(CMakePrintHelpers)

#
# Set search paths
#
include(SetSearchPaths)

#
# Perform platform specific customizations.
#
if(CMAKE_CROSSCOMPILING)
  set(_CROSS "Cross")
endif()
include(platform/${CMAKE_SYSTEM_NAME}${_CROSS}Customization OPTIONAL)

include(UpdatePkgConfig)

#
# Find required commands.
#
# Make is required by the python bindings.
#
find_program(MAKE_EXECUTABLE NAMES gmake make REQUIRED)
message(STATUS "Found ${MAKE_EXECUTABLE}")

#
# Set up for static analysis
#
include(StaticAnalysis)

#
# Check compiler and installed header files
#
include(CompilerCaching)
include(SetCompilerOptions)
include(MythCheckIncludes)
include(CheckExternalLibraries)
include(MythFindFFmpeg)
include(MythFindQt)
add_compile_definitions(QT_DISABLE_DEPRECATED_BEFORE=${QT_MIN_VERSION_HEX})

# Debian policy requires that shared libraries be installed without executable
# permission.  Fedora policy requires that shared libraries be installed with
# the executable permission.
#
# Tell CMake to ignore the Debian policy and set the executable bits on all
# libraries.
set(CMAKE_INSTALL_SO_NO_EXE OFF)

# Qt changes target build names. Reset them.
include(ResetTargetSuffixes)
reset_target_suffixes(${MYTH_VERSIONED_EXTENSIONS})

include(MythFindPackages)
include(PrintProperties)

#
# These directories should each have their own config.h file.  These are mainly
# external code, with some small customizations to integrate it into MythTV.
# Note: directories under external that contain no customization have already
# been built by the superpackage.
#
add_subdirectory(external)

#
# Allow all subsequently included directories to find the MythTV (myth)config.h
# file.
#
include_directories(${PROJECT_BINARY_DIR})

#
# Find all the libs created by installed external projects
#
link_directories(${CMAKE_INSTALL_FULL_LIBDIR})
if(NOT LIBS_INSTALL_PREFIX STREQUAL CMAKE_INSTALL_PREFIX)
  link_directories(${LIBS_INSTALL_PREFIX}/lib)
endif()

# FreeBSD hack. Make sure that the include directories populated by the
# superpackage show up before FreeBSD's default /usr/local directory.  This
# ensures that the proper versions of ffmpeg and exiv2 will be found while
# building MythTV.
if(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR CMAKE_SYSTEM_NAME STREQUAL "Darwin")
  include_directories(BEFORE ${CMAKE_INSTALL_FULL_INCLUDEDIR})
  include_directories(BEFORE ${CMAKE_INSTALL_FULL_INCLUDEDIR}/mythtv)
endif()

#
# Debugging
#
if(0)
  include(DumpAllVariables)
  dump_cmake_variables()
endif()

#
# Finish the MYTH_BUILD_CONFIG variable here. It will be written to a file when
# the libs/libmythbase directory is processed.
#
add_build_config(ENABLE_BACKEND "backend")
add_build_config(ENABLE_FRONTEND "frontend")
list(
  SORT MYTHTV_BUILD_CONFIG_LIST
  COMPARE STRING
  CASE INSENSITIVE)
list(PREPEND MYTHTV_BUILD_CONFIG_LIST ${CMAKE_SYSTEM_NAME} ${CMAKE_BUILD_TYPE})
list(REMOVE_DUPLICATES MYTHTV_BUILD_CONFIG_LIST)
list(JOIN MYTHTV_BUILD_CONFIG_LIST " " MYTH_BUILD_CONFIG)
string(TOLOWER ${MYTH_BUILD_CONFIG} MYTH_BUILD_CONFIG)

# Setup run path (RPATH) support.  This tells the loader where to look for
# libraries.  Setting the paths relative to $ORIGIN (or @loader_path on OSX)
# tells the loader to look in the directory containing the executable, so the
# below paths will look in <blah>/bin, <blah>/lib, and <blah>/lib64 to find
# library files.
if(APPLE)
  set(base @loader_path)
else()
  set(base $ORIGIN)
endif()
set(CMAKE_INSTALL_RPATH ${base} ${base}/../lib ${base}/../lib64)

#
# Need to build libmythmpeg2 on all platforms.  The original "configure" build
# system has an exception for windows builds, which use an external mpeg2
# library.
#
set(CONFIG_LIBMPEG2EXTERNAL OFF)

#
# Include all the MythTV specific directories.
#
add_subdirectory(docs)
add_subdirectory(html)
include(InstallI18n)
add_subdirectory(libs)
add_subdirectory(locales)
add_subdirectory(programs)
add_subdirectory(themes)

# Include the bindings directory at the end because it needs to add itself to an
# existing target. Dong so ensures that all the necessary python/perl setup
# processing occurs prior to trying to install the fines.
add_subdirectory(bindings)

#
# Consolidate setting common library properties
#
set_target_properties(
  myth
  mythbase
  mythdvdnav
  mythfreemheg
  mythfreesurround
  mythmetadata
  mythmpeg2
  mythprotoserver
  mythservicecontracts
  mythtv
  mythui
  mythupnp
  PROPERTIES SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
             VERSION
             ${CMAKE_PROJECT_VERSION_MAJOR}.${CMAKE_PROJECT_VERSION_MINOR})

#
# Dump build status information, ala the "configure" script.
#
include(PrintConfig)

=== Makefile ===
include config.mak

MAKE_SUBDIRS = external
QT_SUBDIRS   = libs html programs themes i18n locales

ifdef CONFIG_BINDINGS_PERL
    MAKE_SUBDIRS += bindings/perl
endif

ifdef CONFIG_BINDINGS_PYTHON
    MAKE_SUBDIRS += bindings/python
endif

ifdef CONFIG_BINDINGS_PHP
    MAKE_SUBDIRS += bindings/php
endif


SUBDIRS += $(MAKE_SUBDIRS) $(QT_SUBDIRS)

.PHONY: subdirs $(SUBDIRS)                        \
	clean     $(addsuffix _clean,    $(SUBDIRS))  \
	distclean $(addsuffix _distclean,$(SUBDIRS))  \
	install   $(addsuffix _install,  $(SUBDIRS))  \
	uninstall $(addsuffix _uninstall,$(SUBDIRS))  \
	global tags TAGS cleanold compdb \
	libs/libmythbase/version.h force

all: libs/libmythbase/version.h subdirs
tests: test
all_no_test: all
force:

config.mak:
	$(error run configure to create $@)

# Override PWD in case this is run from a makefile at a higher level with
# make -C mythtv
PWD := $(shell pwd)

libs/libmythbase/version.h:	version.sh force
	sh version.sh $(PWD)

# explicit subdir dependencies
libs: external
programs: libs


subdirs: $(SUBDIRS)

settings.pro: config.mak
%.pro: settings.pro

# explicit prerequisites for qmake generated makefiles
libs/Makefile: libs/libs.pro
html/Makefile: html/html.pro
programs/Makefile: programs/programs.pro
themes/Makefile: themes/themes.pro
i18n/Makefile: i18n/i18n.pro
locales/Makefile: locales/locales.pro

$(addsuffix /Makefile,$(QT_SUBDIRS)): %/Makefile :
	cd $*; $(QMAKE) QMAKE=$(QMAKE) -o $(@F) $(<F)

$(SUBDIRS): $(addsuffix /Makefile,$(SUBDIRS)) libs/libmythbase/version.h
	$(MAKE) -C $@

$(addsuffix _clean,$(SUBDIRS)): $(addsuffix /Makefile,$(SUBDIRS))
	$(MAKE) -C $(subst _clean,,$@) clean

$(addsuffix _distclean,$(SUBDIRS)): $(addsuffix /Makefile,$(SUBDIRS))
	$(MAKE) -C $(subst _distclean,,$@) distclean

$(addsuffix _install,$(SUBDIRS)): $(addsuffix /Makefile,$(SUBDIRS))
	$(MAKE) -C $(subst _install,,$@) install INSTALL_ROOT=${INSTALL_ROOT}

$(addsuffix _uninstall,$(SUBDIRS)): $(addsuffix /Makefile,$(SUBDIRS))
	$(MAKE) -C $(subst _uninstall,,$@) uninstall

clean: $(addsuffix _clean,$(SUBDIRS))

distclean: $(addsuffix _distclean,$(SUBDIRS))
	-rm -f libs/libmythbase/mythconfig.mak config.mak
	-rm -f libs/libmythbase/mythconfig.h   config.h
	-rm -f libs/libmythbase/version.h
	-rm -f libs/libavutil/avconfig.h
	-rm -f external/FFmpeg/libavutil/avconfig.h
	-rm -f config.ep .qmake.stash
	-rm -f $(addsuffix /Makefile,$(QT_SUBDIRS))
	-rm -f ../GPATH ../GRTAGS ../GTAGS
	-rm -f ../TAGS ../tags

install: $(addsuffix _install,$(SUBDIRS))

uninstall: $(addsuffix _uninstall,$(SUBDIRS))
	-rmdir $(INSTALL_ROOT)/${PREFIX}/include/mythtv
	-rmdir $(INSTALL_ROOT)/${PREFIX}/lib/mythtv
	-rmdir $(INSTALL_ROOT)/${PREFIX}/share/mythtv

test: libs/libmythbase/version.h subdirs
	cd libs ; $(MAKE) test
	cd programs ; $(MAKE) test

ctags tags:
	@echo "Making tags..."
	@cd .. ; rm -f tags
	@cd .. ; find . -name \*.h -o -name \*.c -o -name \*.cpp | grep -v moc_ | xargs -r ctags -a

etags TAGS:
	@echo "Making TAGS..."
	@cd .. ; rm -f TAGS
	@cd .. ; find . -name \*.h -o -name \*.c -o -name \*.cpp | grep -v moc_ | xargs -r etags -a

global GPATH GRTAGS GTAGS:
	@echo "Making global tags..."
	@cd .. ; rm -f GPATH GRTAGS GTAGS
	@cd .. ; find . -name \*.h -o -name \*.c -o -name \*.cpp | grep -v moc_ | gtags -f -

cleanall: clean
	@echo "Removing old moc and .o files missed by 'clean'..."
	@find .. -name moc_* -o -name *.o -name *.o.json | xargs -r rm

compdb:
	@echo "Building ../compile_commands.json"
	@programs/scripts/build_compdb.py

=== android/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

if(CMAKE_ANDROID_ARCH_ABI)
  set(ANDROID ON)
endif()
if(NOT ANDROID)
  return()
endif()

# Can use cmake features introduced in 3.21.
cmake_minimum_required(VERSION 3.21)

#
# Validate parameters
#
foreach(_param IN ITEMS SUPER_VERSION MYTHTV_SOURCE_VERSION)
  if(${_param} STREQUAL "")
    message(FATAL_ERROR "${_param} is a required parameter")
  endif()
endforeach()

if(NOT DEFINED LIBS_INSTALL_PREFIX OR LIBS_INSTALL_PREFIX STREQUAL "")
  set(LIBS_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
endif()

#
# Where to find MythTV provided modules
#
# From the sources:
list(APPEND CMAKE_MODULE_PATH "${SUPER_SOURCE_DIR}/cmake")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
# From from earlier builds in the superbuild:
list(APPEND CMAKE_MODULE_PATH "${CMAKE_INSTALL_FULL_LIBDIR}/cmake")

#
# Read user options (part 1).  On android, several of these options affect the
# initialization performed by the project function.
#
include(MythOptions)
message(STATUS "Including user overrides ${MYTH_USER_OVERRIDES1}")
include(${MYTH_USER_OVERRIDES1} OPTIONAL)

#
# Describe this project
#
project(
  mythfrontend
  VERSION ${SUPER_VERSION}
  LANGUAGES CXX)
include(VersionInformation)

#
# Read user options (part 2)
#
message(STATUS "Including user overrides ${MYTH_USER_OVERRIDES2}")
include(${MYTH_USER_OVERRIDES2} OPTIONAL)

#
# Inject code from cmake provided modules. GNUInstallDirs uses
# CMAKE_INSTALL_PREFIX so make sure that's set properly first.
#
include(GNUInstallDirs)
include(DumpAllVariables)

#
# Require the C++17 standard, and allow compiler extensions.
#
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS ON)

#
# Set search paths
#
include(SetSearchPaths)

#
# The Qt androiddeployqt program reads the headers of shared object files and
# automatically includes any of their required dependencies. Add the Qt install
# directory to the CMAKE_FIND_ROOT_PATH list so that androiddeployqt can find
# the Qt libraries.
#
list(APPEND CMAKE_FIND_ROOT_PATH ${CMAKE_INSTALL_PREFIX}/qt)
list(APPEND CMAKE_FIND_ROOT_PATH ${LIBS_INSTALL_PREFIX}/qt)

#
# androiddeployqt also searches for android-dependencies.xml files for each
# shared object file loaded.  These are normally installed in the lib directory,
# but androiddeployqt doesn't add that "/lib" when searching ROOT_PATHs.  Add
# "/lib" manually to CMAKE_FIND_ROOT_PATH so that androiddeployqt can find the
# mythtv dependency files.
#
list(APPEND CMAKE_FIND_ROOT_PATH ${CMAKE_INSTALL_PREFIX}/lib)

#
# Clean up the CMAKE_FIND_ROOT_PATH list
#
list(REMOVE_DUPLICATES CMAKE_FIND_ROOT_PATH)

# Get tags used in bundle names.
include(${CMAKE_ANDROID_NDK}/build/cmake/abis.cmake)

#
# In Qt5, these variables that will be directly referenced by the code to build
# an apk.  In Qt6, these variables are set as properties on the executable and
# are referenced that way.
#
execute_process(
  COMMAND "date" "+%Y%m%d"
  OUTPUT_VARIABLE _date
  OUTPUT_STRIP_TRAILING_WHITESPACE COMMAND_ERROR_IS_FATAL ANY)
set(_BUNDLE_NAME "${NDK_ABI_${CMAKE_ANDROID_ARCH_ABI}_ARCH}")

set(ANDROID_PACKAGE_SOURCE_DIR
    ${CMAKE_CURRENT_BINARY_DIR}/android-package-source)
set(ANDROID_PLATFORM android-${CMAKE_SYSTEM_VERSION})
set(ANDROID_VERSION_CODE 1)
set(ANDROID_VERSION_NAME
    "${_date}-qt${QT_VERSION_MAJOR}-${_BUNDLE_NAME}-${MYTHTV_SOURCE_VERSION}")
set(QT_ANDROID_APPLICATION_ARGUMENTS "-v general")

#
# Copy android-package-source into the build directory.  This allows Qt version
# specific customization.
#
file(COPY ${SUPER_SOURCE_DIR}/mythtv/android-package-source DESTINATION .)
configure_file(AndroidManifest.xml.${QT_VERSION_MAJOR}.in
               android-package-source/AndroidManifest.xml @ONLY)

#
# Shorthand
#
set(MYTHTV_FULL_DATADIR ${CMAKE_INSTALL_FULL_DATADIR}/mythtv)
set(BUILD_DIR ${CMAKE_CURRENT_BINARY_DIR}/android-build)
set(ASSETS_DIR ${BUILD_DIR}/assets/mythtv)
set(JNI_DIR ${BUILD_DIR}/jni)
set(LIBS_ARCH ${BUILD_DIR}/libs/${CMAKE_ANDROID_ARCH_ABI})

#
# Create the directory structure needed for packaging.
#
file(MAKE_DIRECTORY ${ASSETS_DIR} ${JNI_DIR})

#
# Generate files
#
configure_file(jni/Android.mk.in ${JNI_DIR}/Android.mk COPYONLY)
configure_file(jni/Application.mk.in ${JNI_DIR}/Application.mk @ONLY)

#
# Copy necessary XML files into the android-build/assets directory.
#
set(_XML_FILES CDS_scpd.xml CMGR_scpd.xml MFEXML_scpd.xml MSRR_scpd.xml)
list(TRANSFORM _XML_FILES PREPEND ${MYTHTV_FULL_DATADIR}/)
file(COPY ${_XML_FILES} DESTINATION ${ASSETS_DIR})

#
# Copy the translations into the android-build/assets directory.
#
file(
  GLOB _translations
  LIST_DIRECTORIES FALSE
  ${MYTHTV_FULL_DATADIR}/i18n/mythfrontend*)
file(COPY ${_translations} DESTINATION ${ASSETS_DIR}/i18n)

#
# Copy the fonts, etc into the android-build/assets directory.
#
foreach(DIRNAME ${MYTHTV_FULL_DATADIR}/fonts ${MYTHTV_FULL_DATADIR}/locales
                ${MYTHTV_FULL_DATADIR}/metadata ${MYTHTV_FULL_DATADIR}/themes)
  if(EXISTS ${DIRNAME})
    file(COPY ${DIRNAME} DESTINATION ${ASSETS_DIR})
  endif()
endforeach()

#
# Copy additional libraries into the android-build/assets directory.
#

# Library needed by the Qt MySql plugin.
list(APPEND EXTRA_LIB_NAMES mariadb/libmariadb.so)

# Libraries needed by the MythTV plugins.
if(MYTH_BUILD_PLUGINS AND MYTH_BUILD_ANDROID_PLUGINS)
  # MythMusic
  list(
    APPEND
    EXTRA_LIB_NAMES
    libFLAC.so
    libogg.so
    libvorbis.so
    libvorbisenc.so
    libvorbisfile.so)
endif()

function(find_full_pathnames NAMES PATHS_OUT MISSING_OUT)
  # Possible locations for additional libraries.
  set(LIBDIRS
      ${CMAKE_INSTALL_PREFIX}/lib
      ${CMAKE_INSTALL_PREFIX}/lib/mythtv/plugins
      ${CMAKE_INSTALL_PREFIX}/lib64
      ${CMAKE_INSTALL_PREFIX}/lib64/mythtv/plugins
      ${LIBS_INSTALL_PREFIX}/lib
      ${LIBS_INSTALL_PREFIX}/lib64)
  list(REMOVE_DUPLICATES LIBDIRS)

  # Find the full pathname each of the libraries
  foreach(NAME IN LISTS ${NAMES})
    set(FOUND FALSE)
    foreach(LIBDIR IN LISTS LIBDIRS)
      if(EXISTS ${LIBDIR}/${NAME})
        list(APPEND PATHS ${LIBDIR}/${NAME})
        set(FOUND TRUE)
        break()
      endif()
    endforeach()
    if(NOT FOUND)
      list(APPEND MISSING ${NAME})
    endif()
  endforeach()

  set(${PATHS_OUT}
      ${PATHS}
      PARENT_SCOPE)
  set(${MISSING_OUT}
      ${MISSING}
      PARENT_SCOPE)
endfunction()

find_full_pathnames(EXTRA_LIB_NAMES ANDROID_EXTRA_LIBS MISSING)
if(MISSING)
  message(FATAL_ERROR "Can't find the following libraries: ${MISSING}")
endif()
list(SORT ANDROID_EXTRA_LIBS)

#
# Find and add the MythTV plugins to the list of shared objects.
#
if(MYTH_BUILD_PLUGINS AND MYTH_BUILD_ANDROID_PLUGINS)
  set(PLUGIN_NAMES
      # MythTV plugins
      libmythpluginmytharchive.so
      libmythpluginmythbrowser.so
      libmythpluginmythgame.so
      libmythpluginmythmusic.so
      libmythpluginmythnetvision.so
      libmythpluginmythnews.so
      libmythpluginmythzoneminder.so)
  find_full_pathnames(PLUGIN_NAMES PLUGINS_FOUND MISSING)
  list(APPEND ANDROID_EXTRA_LIBS ${PLUGINS_FOUND})
endif()

if(QT_VERSION_MAJOR EQUAL 5)
  # IMPORTANT: All the variables necessary to describe the APK must be set
  # before this include.  The android_deployment_settings.json file will be
  # generated during this include process.
  include(MythFindQt)

  #
  # Install the mythfrontend application
  #
  foreach(_app IN ITEMS mythfrontend)
    execute_process(
      COMMAND
        ${CMAKE_COMMAND} -E copy_if_different
        ${CMAKE_INSTALL_PREFIX}/bin/${_app}
        ${LIBS_ARCH}/lib${_app}_${CMAKE_ANDROID_ARCH_ABI}.so
        COMMAND_ERROR_IS_FATAL ANY)
  endforeach()

  #
  # Codesigning in Qt5 is done by adding arguments to the command line.
  #
  if(QT_ANDROID_SIGN_APK)
    set(BUNDLESIGN
        "--sign" ${QT_ANDROID_KEYSTORE_PATH} ${QT_ANDROID_KEYSTORE_ALIAS}
        "--storepass" ${QT_ANDROID_KEYSTORE_STORE_PASS})
  endif()

  #
  # This is a copy of the apk target from Qt5AndroidSupport.cmake.  It is here
  # to ensure that the JAVA_HOME environment variable is always set to the value
  # configured in these cmake file.  Otherwise the call to 'cmake --build
  # <builddir>' will attempt to use whatever is present (if anything) in the
  # invoker's environment.
  #
  add_custom_target(
    apk2
    COMMAND
      echo ${CMAKE_COMMAND} -E env JAVA_HOME=${MYTH_JAVA_HOME}
      ${ANDROID_DEPLOY_QT} --input
      "${PROJECT_BINARY_DIR}/android_deployment_settings.json" --output
      "${PROJECT_BINARY_DIR}/android-build" --apk
      "${PROJECT_BINARY_DIR}/android-build/${PROJECT_NAME}.apk"
      ${android_deploy_qt_platform} ${android_deploy_qt_jdk} ${BUNDLESIGN}
      --verbose
    COMMAND
      ${CMAKE_COMMAND} -E env JAVA_HOME=${MYTH_JAVA_HOME} ${ANDROID_DEPLOY_QT}
      --input "${PROJECT_BINARY_DIR}/android_deployment_settings.json" --output
      "${PROJECT_BINARY_DIR}/android-build" --apk
      "${PROJECT_BINARY_DIR}/android-build/${PROJECT_NAME}.apk"
      ${android_deploy_qt_platform} ${android_deploy_qt_jdk} ${BUNDLESIGN}
      --verbose
    DEPENDS ${ANDROID_EXTRA_LIBS}
    VERBATIM USES_TERMINAL)

  #
  # Force the apk to always be built
  #
  # By using these two targets, the apk isn't rebuilt at the install stage.
  add_custom_target(
    apktest1
    DEPENDS apk2
    COMMAND echo
    BYPRODUCTS "${PROJECT_BINARY_DIR}/android-build/${PROJECT_NAME}.apk")
  add_custom_target(
    apktest2 ALL
    DEPENDS "${PROJECT_BINARY_DIR}/android-build/${PROJECT_NAME}.apk")

  #
  # Set variables use by Qt5Core/Qt5AndroidSupport.cmake when creating the file
  # android_deployment_settings.json.
  #
  # These variables aren't currently set to anything:
  # ~~~
  #  ANDROID_DEPLOYMENT_DEPENDENCIES
  #  ANDROID_EXTRA_PLUGINS
  #  QML_IMPORT_PATH
  # ~~~
  #

elseif(QT_VERSION_MAJOR EQUAL 6)
  # Inject code from super-project provided modules (part 2). All the variables
  # necessary to describe the APK must be set before this include.
  #
  # IMPORTANT: The android_deployment_settings.json file is *NOT* generated with
  # this include.  It is generated by the call to qt_add_executable.
  include(MythFindQt)

  set(CMAKE_BUILD_TYPE Debug)

  #
  # Create a dummy mythfrontend executable.  This is where all the magic happens
  # behind the scenes in Qt6 to build an APK.
  #
  qt_add_executable(mythfrontend dummy.cpp)
  set_source_files_properties(dummy.cpp PROPERTIES HEADER_FILE_ONLY ON)

  #
  # Overwrite the dummy mythfrontend application with the real application.
  #
  add_custom_command(
    TARGET mythfrontend
    POST_BUILD
    COMMAND
      ${CMAKE_COMMAND} -E copy_if_different
      ${CMAKE_INSTALL_PREFIX}/bin/mythfrontend
      libmythfrontend_${CMAKE_ANDROID_ARCH_ABI}.so)

  # Qt6 creates the android-mythfrontend-deployment-settings.json file based
  # upon the target properties.
  set_target_properties(
    mythfrontend
    PROPERTIES QT_ANDROID_VERSION_CODE ${ANDROID_VERSION_CODE}
               QT_ANDROID_VERSION_NAME ${ANDROID_VERSION_NAME}
               QT_ANDROID_MIN_SDK_VERSION ${ANDROID_MIN_SDK_VERSION}
               QT_ANDROID_TARGET_SDK_VERSION ${ANDROID_TARGET_SDK_VERSION}
               QT_ANDROID_PACKAGE_SOURCE_DIR ${ANDROID_PACKAGE_SOURCE_DIR}
               QT_ANDROID_EXTRA_LIBS "${ANDROID_EXTRA_LIBS}")

  #
  # Codesigning in Qt6 is done by setting environment variables.
  #
  if(QT_ANDROID_SIGN_APK)
    set(ENV{QT_ANDROID_KEYSTORE_PATH} ${QT_ANDROID_KEYSTORE_PATH})
    set(ENV{QT_ANDROID_KEYSTORE_ALIAS} ${QT_ANDROID_KEYSTORE_ALIAS})
    set(ENV{QT_ANDROID_KEYSTORE_STORE_PASS} ${QT_ANDROID_KEYSTORE_STORE_PASS})
    set(ENV{QT_ANDROID_KEYSTORE_KEY_PASS} ${QT_ANDROID_KEYSTORE_KEY_PASS})
  endif()

  #
  # qmake/cmake variables:
  #
  # https://doc.qt.io/qt-6/qmake-variable-reference.html
  #
  # Where do the parts of the android-mythfrontend-deployment-settings.json file
  # fome come from?
  #
  # ~~~

=== bindings/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

if(ANDROID)
  return()
endif()

#
# Provide a target for the sub-directories to hook into, and ensure that this
# target will be built by making it a dependency of libmythbase.
#
add_custom_target(bindings)
add_dependencies(mythbase bindings)

# Add all the sub-directories
add_subdirectory(perl)
add_subdirectory(php)
add_subdirectory(python)

=== docs/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

find_program(DOXYGEN_EXECUTABLE NAMES doxygen)
message(VERBOSE "Found doxygen: ${DOXYGEN_EXECUTABLE}")
if(NOT DOXYGEN_EXECUTABLE)
  return()
endif()

#
# Link to the doxygen-create-developer-docs.cfg file so it can be easily
# referenced in the destination directory.
#
file(CREATE_LINK ${CMAKE_CURRENT_SOURCE_DIR}/doxygen-create-developer-docs.cfg
     ${CMAKE_CURRENT_BINARY_DIR}/doxygen-create-developer-docs.cfg
     COPY_ON_ERROR SYMBOLIC)

#
# Create a version of the doxygen-paths.cfg.inc file in the destination
# directory, modified to handle an out-of-tree build.
#
set(SOURCES_LIST
    "${CMAKE_CURRENT_SOURCE_DIR}/doxygen-architecture-document.cpp"
    "${PROJECT_SOURCE_DIR}/contrib" "${PROJECT_SOURCE_DIR}/libs"
    "${PROJECT_SOURCE_DIR}/programs" "${PROJECT_SOURCE_DIR}/../mythplugins")
list(JOIN SOURCES_LIST " " DOXYGEN_SOURCES)

set(DOXYGEN_EXCLUDES "${PROJECT_SOURCE_DIR}/libs/libmythmpeg2")

configure_file(doxygen-paths.cfg.inc.in doxygen-paths.cfg.inc @ONLY)

# Command to create documentation
add_custom_command(
  OUTPUT doxygen-dev-docs/doxygen.stamp
  DEPENDS doxygen-create-developer-docs.cfg
  BYPRODUCTS doxygen-warnings.txt
  COMMAND ${CMAKE_COMMAND} -E echo
          "Generating API documentation.  This takes a long time..."
  COMMAND ${DOXYGEN_EXECUTABLE} doxygen-create-developer-docs.cfg
  COMMAND cmake -E touch doxygen-dev-docs/doxygen.stamp
  VERBATIM USES_TERMINAL)

# Target used to invoke command.
add_custom_target(docs DEPENDS doxygen-dev-docs/doxygen.stamp)

=== docs/Makefile ===
TARGETS = devdocs

DOXYGEN_SOURCES=doxygen-architecture-document.cpp ../contrib ../libs ../programs ../../mythplugins
DOXYGEN_EXCLUDES=../libs/libmythmpeg2

all: $(TARGETS)
clean:
	rm -Rf doxygen-paths.cfg.inc doxygen-dev-docs doxygen-warnings.txt

distclean: clean

doxygen-paths.cfg.inc: doxygen-paths.cfg.inc.in
	@echo Creating doxygen-paths.cfg.inc
	@sed -e "s#@DOXYGEN_SOURCES@#${DOXYGEN_SOURCES}#g" \
	    -e "s#@DOXYGEN_EXCLUDES@#${DOXYGEN_EXCLUDES}#g" \
	    doxygen-paths.cfg.inc.in > doxygen-paths.cfg.inc

devdocs: doxygen-paths.cfg.inc
	doxygen doxygen-create-developer-docs.cfg

=== libs/CMakeLists.txt ===
add_subdirectory(libmythbase)
add_subdirectory(libmythfreesurround)
add_subdirectory(libmythservicecontracts)
if(TARGET mythtv_mheg)
  add_subdirectory(libmythfreemheg)
endif()
if(NOT CONFIG_LIBMPEG2EXTERNAL)
  add_subdirectory(libmythmpeg2)
endif()
add_subdirectory(libmythui)
add_subdirectory(libmythupnp)
add_subdirectory(libmyth)
add_subdirectory(libmythtv)
add_subdirectory(libmythmetadata)
add_subdirectory(libmythprotoserver)

=== mythgame/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

add_subdirectory(mythgame)
include(InstallI18n)
include(InstallTheme)

=== mythweather/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

include(InstallI18n)
include(InstallTheme)
add_subdirectory(mythweather)

=== programs/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

if(ANDROID)
  add_subdirectory(mythfrontend)
  return()
endif()

if(ENABLE_BACKEND)
  add_subdirectory(mythbackend)
  add_subdirectory(mythfilldatabase)
  add_subdirectory(mythmetadatalookup)
  add_subdirectory(mythtv-setup)
  if(NOT WIN32)
    add_subdirectory(mythexternrecorder)
    add_subdirectory(mythfilerecorder)
    add_subdirectory(scripts)
  endif()
endif()

if(ENABLE_FRONTEND)
  add_subdirectory(mythavtest)
  add_subdirectory(mythccextractor)
  add_subdirectory(mythcommflag)
  add_subdirectory(mythfrontend)
  add_subdirectory(mythjobqueue)
  add_subdirectory(mythlcdserver)
  add_subdirectory(mythmediaserver)
  add_subdirectory(mythpreviewgen)
  add_subdirectory(mythscreenwizard)
  add_subdirectory(mythshutdown)
  add_subdirectory(mythutil)
  if(NOT WIN32)
    add_subdirectory(mythwelcome)
  endif()
endif()

=== external/libexiv2/CMakeLists.txt ===
cmake_minimum_required( VERSION 3.5.0 )

project(exiv2
    VERSION 0.99.0.0   # Fake version number to indicate that the next version will be 1.0
    LANGUAGES CXX C
)

include(cmake/mainSetup.cmake  REQUIRED)
include(CTest)

include(cmake/gcovr.cmake REQUIRED)

# options and their default values
option( BUILD_SHARED_LIBS             "Build exiv2lib as a shared library"                    ON  )
option( EXIV2_ENABLE_XMP              "Build with XMP metadata support"                       ON  )
option( EXIV2_ENABLE_EXTERNAL_XMP     "Use external version of XMP"                           OFF )
option( EXIV2_ENABLE_PNG              "Build with png support (requires libz)"                ON  )
option( EXIV2_ENABLE_NLS              "Build native language support (requires gettext)"      OFF )
option( EXIV2_ENABLE_PRINTUCS2        "Build with Printucs2"                                  ON  )
option( EXIV2_ENABLE_LENSDATA         "Build including lens data"                             OFF )
option( EXIV2_ENABLE_DYNAMIC_RUNTIME  "Use dynamic runtime (used for static libs)"            ON )
option( EXIV2_ENABLE_WIN_UNICODE      "Use Unicode paths (wstring) on Windows"                OFF )
option( EXIV2_ENABLE_WEBREADY         "Build webready support into library"                   OFF )
option( EXIV2_ENABLE_CURL             "USE Libcurl for HttpIo (WEBREADY)"                     OFF )

option( EXIV2_BUILD_SAMPLES           "Build sample applications"                             OFF )
option( EXIV2_BUILD_EXIV2_COMMAND     "Build exiv2 command-line executable"                   OFF )
option( EXIV2_BUILD_UNIT_TESTS        "Build unit tests"                                      OFF )
option( EXIV2_BUILD_FUZZ_TESTS        "Build fuzz tests (libFuzzer)"                          OFF )
option( EXIV2_BUILD_DOC               "Add 'doc' target to generate documentation"            OFF )

# Only intended to be used by Exiv2 developers/contributors
option( EXIV2_TEAM_EXTRA_WARNINGS     "Add more sanity checks using compiler flags"           OFF )
option( EXIV2_TEAM_WARNINGS_AS_ERRORS "Treat warnings as errors"                              OFF )
option( EXIV2_TEAM_USE_SANITIZERS     "Enable ASAN and UBSAN when available"                  OFF )
option( EXIV2_TEAM_PACKAGING          "Additional stuff for generating packages"              OFF )
set(EXTRA_COMPILE_FLAGS " ")

mark_as_advanced(
    EXIV2_TEAM_EXTRA_WARNINGS
    EXIV2_TEAM_WARNINGS_AS_ERRORS
    EXIV2_ENABLE_EXTERNAL_XMP
    EXTRA_COMPILE_FLAGS
    EXIV2_TEAM_USE_SANITIZERS
)

option( BUILD_WITH_CCACHE             "Use ccache to speed up compilations"                   ON  )
option( BUILD_WITH_COVERAGE           "Add compiler flags to generate coverage stats"         OFF )

set( PACKAGE_BUGREPORT                "http://github.com/exiv2/exiv2" )
set( PACKAGE_URL                      "http://exiv2.dyndns.org")
set( PROJECT_DESCRIPTION              "Exif and IPTC metadata library and tools")

if ( EXIV2_ENABLE_EXTERNAL_XMP )
    set(EXIV2_ENABLE_XMP OFF)
endif()

if( EXIV2_BUILD_UNIT_TESTS )
    set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON) # Requires CMake 3.3.3
endif()

include(cmake/findDependencies.cmake   REQUIRED)
include(cmake/compilerFlags.cmake      REQUIRED)
include(cmake/generateConfigFile.cmake REQUIRED)

if (EXIV2_BUILD_DOC)
    include(cmake/generateDoc.cmake        REQUIRED)
    generate_documentation("${PROJECT_SOURCE_DIR}/cmake/Doxyfile.in")
endif()


include_directories(${CMAKE_BINARY_DIR})  # Make the exv_conf.h file visible for the full project

if( EXIV2_ENABLE_XMP )
    add_subdirectory( xmpsdk )
endif()

include(cmake/compilerFlagsExiv2.cmake REQUIRED)

add_subdirectory( include )
add_subdirectory( src )

if( EXIV2_BUILD_UNIT_TESTS )
    add_subdirectory ( unitTests )
endif()

if( EXIV2_BUILD_FUZZ_TESTS)
    if ((NOT COMPILER_IS_CLANG) OR (NOT EXIV2_TEAM_USE_SANITIZERS))
        message(FATAL_ERROR "You need to build with Clang and sanitizers for the fuzzers to work. "
                "Use Clang and -DEXIV2_TEAM_USE_SANITIZERS=ON")
    endif()
    add_subdirectory ( fuzz )
endif()

if( EXIV2_BUILD_SAMPLES )
    ##
    # tests
    add_custom_target(tests
        COMMAND env EXIV2_BINDIR="${CMAKE_RUNTIME_OUTPUT_DIRECTORY}" make test
        WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/test"
    )
    add_subdirectory( samples )
    get_directory_property(SAMPLES DIRECTORY samples DEFINITION APPLICATIONS)
    add_dependencies(tests exiv2lib exiv2 ${SAMPLES})
endif()

if( EXIV2_ENABLE_NLS )
    add_subdirectory( po )
endif()

if (EXIV2_TEAM_PACKAGING)
    include(cmake/packaging.cmake)
endif()

configure_file(cmake/exiv2.pc.in mythexiv2.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/mythexiv2.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# ******************************************************************************
# Man page
#install( FILES ${PROJECT_SOURCE_DIR}/man/man1/exiv2.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1 )


include(cmake/printSummary.cmake)

=== external/libmythbluray/CMakeLists.txt ===
#
# Copyright (C) 2022-2023 David Hampton
#
# See the file LICENSE_FSF for licensing information.
#

set(BLURAY_VERSION "1.2.1")
if(BLURAY_VERSION MATCHES "([0-9]+)\.([0-9]+)\.([0-9]+)")
  set(BLURAY_VERSION_MAJOR ${CMAKE_MATCH_1})
  set(BLURAY_VERSION_MINOR ${CMAKE_MATCH_2})
  set(BLURAY_VERSION_PATCH ${CMAKE_MATCH_3})
else()
  message(FATAL_ERROR "Can't parse bluray version string: ${BLURAY_VERSION}")
endif()

if(APPLE)
  set(JAVAOS "darwin")
elseif(WIN32)
  set(JAVAOS "win32")
else()
  set(JAVAOS "linux")
  # Including FreeBSD
  #
  # Original libbluray configure.ac sets this to 'freebsd' but for the fallback
  # case that were not actually building the JAR, it doesnt provide a freebsd
  # version of jni_md.h.  Lets try using the linux version and hope for the
  # best.
endif()

add_library(
  mythbluray SHARED
  src/file/dirs.h
  src/file/dl.h
  src/file/file.c
  src/file/file.h
  src/file/filesystem.c
  src/file/filesystem.h
  src/file/mount.h
  src/libbluray/bdj/bdj.c
  src/libbluray/bdj/bdj.h
  src/libbluray/bdj/bdjo_data.h
  src/libbluray/bdj/bdjo_parse.c
  src/libbluray/bdj/bdjo_parse.h
  src/libbluray/bdj/native/bdjo.c
  src/libbluray/bdj/native/bdjo.h
  src/libbluray/bdj/native/java_awt_BDFontMetrics.c
  src/libbluray/bdj/native/java_awt_BDFontMetrics.h
  src/libbluray/bdj/native/java_awt_BDGraphics.c
  src/libbluray/bdj/native/java_awt_BDGraphics.h
  src/libbluray/bdj/native/org_videolan_Libbluray.c
  src/libbluray/bdj/native/org_videolan_Libbluray.h
  src/libbluray/bdj/native/org_videolan_Logger.c
  src/libbluray/bdj/native/org_videolan_Logger.h
  src/libbluray/bdj/native/register_native.c
  src/libbluray/bdj/native/register_native.h
  src/libbluray/bdj/native/util.c
  src/libbluray/bdj/native/util.h
  src/libbluray/bdnav/bdid_parse.c
  src/libbluray/bdnav/bdid_parse.h
  src/libbluray/bdnav/bdmv_parse.c
  src/libbluray/bdnav/bdmv_parse.h
  src/libbluray/bdnav/bdparse.h
  src/libbluray/bdnav/clpi_data.h
  src/libbluray/bdnav/clpi_parse.c
  src/libbluray/bdnav/clpi_parse.h
  src/libbluray/bdnav/extdata_parse.c
  src/libbluray/bdnav/extdata_parse.h
  src/libbluray/bdnav/index_parse.c
  src/libbluray/bdnav/index_parse.h
  src/libbluray/bdnav/meta_data.h
  src/libbluray/bdnav/meta_parse.c
  src/libbluray/bdnav/meta_parse.h
  src/libbluray/bdnav/mpls_data.h
  src/libbluray/bdnav/mpls_parse.c
  src/libbluray/bdnav/mpls_parse.h
  src/libbluray/bdnav/navigation.c
  src/libbluray/bdnav/navigation.h
  src/libbluray/bdnav/sound_parse.c
  src/libbluray/bdnav/sound_parse.h
  src/libbluray/bdnav/uo_mask.c
  src/libbluray/bdnav/uo_mask.h
  src/libbluray/bdnav/uo_mask_table.h
  src/libbluray/bluray-version.h
  src/libbluray/bluray.c
  src/libbluray/bluray.h
  src/libbluray/bluray_internal.h
  src/libbluray/decoders/graphics_controller.c
  src/libbluray/decoders/graphics_controller.h
  src/libbluray/decoders/graphics_processor.c
  src/libbluray/decoders/graphics_processor.h
  src/libbluray/decoders/hdmv_pids.h
  src/libbluray/decoders/ig.h
  src/libbluray/decoders/ig_decode.c
  src/libbluray/decoders/ig_decode.h
  src/libbluray/decoders/m2ts_demux.c
  src/libbluray/decoders/m2ts_demux.h
  src/libbluray/decoders/m2ts_filter.c
  src/libbluray/decoders/m2ts_filter.h
  src/libbluray/decoders/overlay.h
  src/libbluray/decoders/pes_buffer.c
  src/libbluray/decoders/pes_buffer.h
  src/libbluray/decoders/pg.h
  src/libbluray/decoders/pg_decode.c
  src/libbluray/decoders/pg_decode.h
  src/libbluray/decoders/rle.c
  src/libbluray/decoders/rle.h
  src/libbluray/decoders/textst.h
  src/libbluray/decoders/textst_decode.c
  src/libbluray/decoders/textst_decode.h
  src/libbluray/decoders/textst_render.c
  src/libbluray/decoders/textst_render.h
  src/libbluray/disc/aacs.c
  src/libbluray/disc/aacs.h
  src/libbluray/disc/bdplus.c
  src/libbluray/disc/bdplus.h
  src/libbluray/disc/dec.c
  src/libbluray/disc/dec.h
  src/libbluray/disc/disc.c
  src/libbluray/disc/disc.h
  src/libbluray/disc/enc_info.h
  src/libbluray/disc/properties.c
  src/libbluray/disc/properties.h
  src/libbluray/disc/udf_fs.c
  src/libbluray/disc/udf_fs.h
  src/libbluray/hdmv/hdmv_insn.h
  src/libbluray/hdmv/hdmv_vm.c
  src/libbluray/hdmv/hdmv_vm.h
  src/libbluray/hdmv/mobj_parse.c
  src/libbluray/hdmv/mobj_parse.h
  src/libbluray/hdmv/mobj_print.c
  src/libbluray/player_settings.h
  src/libbluray/register.c
  src/libbluray/register.h
  src/util/array.c
  src/util/array.h
  src/util/attributes.h
  src/util/bits.c
  src/util/bits.h
  src/util/event_queue.c
  src/util/event_queue.h
  src/util/log_control.h
  src/util/logging.c
  src/util/logging.h
  src/util/macro.h
  src/util/mutex.c
  src/util/mutex.h
  src/util/refcnt.c
  src/util/refcnt.h
  src/util/strutl.c
  src/util/strutl.h
  src/util/time.c
  src/util/time.h)
if(APPLE)
  target_sources(
    mythbluray
    PRIVATE src/file/dir_posix.c src/file/dirs_darwin.c src/file/dl_posix.c
            src/file/file_posix.c src/file/mount_darwin.c)
elseif(WIN32)
  target_sources(
    mythbluray
    PRIVATE src/file/dir_win32.c src/file/dirs_win32.c src/file/dl_win32.c
            src/file/file_win32.c src/file/mount.c)
else()
  target_sources(
    mythbluray
    PRIVATE src/file/dir_posix.c src/file/dirs_xdg.c src/file/dl_posix.c
            src/file/file_posix.c src/file/mount.c)
endif()

# Don't allow the hidden visibility flag for this target.
set_property(TARGET mythbluray PROPERTY C_VISIBILITY_PRESET)

set_target_properties(
  mythbluray
  PROPERTIES SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
             VERSION
             ${CMAKE_PROJECT_VERSION_MAJOR}.${CMAKE_PROJECT_VERSION_MINOR}
             COMPILE_OPTIONS "-Wno-address-of-packed-member"
             COMPILE_DEFINITIONS "HAVE_CONFIG_H")

target_link_libraries(
  mythbluray PRIVATE PkgConfig::LibXml2 Fontconfig::Fontconfig PkgConfig::FT2
                     PkgConfig::LIBUDFREAD)

target_include_directories(
  mythbluray
  PUBLIC src
  PRIVATE src/libbluray src/bdnav ${CMAKE_CURRENT_BINARY_DIR})

if(MYTH_JAVA_HOME)
  target_include_directories(
    mythbluray PRIVATE ${MYTH_JAVA_HOME}/include
                       ${MYTH_JAVA_HOME}/include/${JAVAOS})
else()
  target_sources(mythbluray PRIVATE jni/jni.h jni/${JAVAOS}/jni_md.h)
  target_include_directories(mythbluray PRIVATE ./jni ./jni/${JAVAOS})
endif()

#
# Add in the code to build the jar files if requested.
#
add_subdirectory(src/libbluray/bdj)

#
# Installation section
#

install(TARGETS mythbluray LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

#
# Configuration section
#

#
# By the time this line is reached, there is either a system version of
# libudfread or the embedded version has already been built and installed.
# Either way, the header files are at "udfread/xxx.h". Once the switch from
# qmake to cmake is finalized, the source code can be cleaned up and this define
# (and the corresponding line in config.h.in) can be removed.
#
set(HAVE_LIBUDFREAD 1)

# Create stripped down config.h with only the symbols that are used in this
# directory.
configure_file(config.h.in config.h @ONLY)

=== debian/changelog ===
mythtv (2:34.0+fixes.20240210.e3e165a1-0ubuntu6) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:18:46 +0000

mythtv (2:34.0+fixes.20240210.e3e165a1-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:38:20 +0000

mythtv (2:34.0+fixes.20240210.e3e165a1-0ubuntu4) noble; urgency=medium

  * Drop dependencies on python3-future, no longer needed
    (LP: #2051564)

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 23 Mar 2024 15:47:04 +0000

mythtv (2:34.0+fixes.20240210.e3e165a1-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:01:43 +0000

mythtv (2:34.0+fixes.20240210.e3e165a1-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:06:11 +0000

mythtv (2:34.0+fixes.20240210.e3e165a1-0ubuntu1) noble; urgency=medium

  * New upstream versino (34)
  * Scripted Build from fixes git packaging [e3e165a1]

 -- Mario Limonciello <superm1@gmail.com>  Sat, 10 Feb 2024 07:07:47 -0600

mythtv (2:34.0~master) lunar; urgency=medium

  * Dummy entry to bump version to 34

 -- Paul Harrison <mythtv@mythqml.net>  Fri, 03 Feb 2023 19:24:00 +0000

mythtv (2:33.0~master) focal; urgency=medium

  * Dummy entry to bump version to 33

 -- Paul Harrison <mythtv@mythqml.net>  Wed, 02 Feb 2022 10:46:00 +0000

=== debian/control ===
Source: mythtv
Section: graphics
Priority: optional
Maintainer: MythTV Ubuntu Maintainers <ubuntu-mythtv@lists.ubuntu.com>
Uploaders:
 Mario Limonciello <superm1@ubuntu.com>,
 Andres Mejia <amejia@debian.org>,
Homepage: http://www.mythtv.org
Standards-Version: 3.9.4
Vcs-Git: git://github.com/MythTV/packaging.git
Build-Conflicts:
 libqt3-mt-dev,
Build-Depends:
 ccache,
 debhelper (>= 10),
 default-libmysqlclient-dev | libmysqlclient-dev,
 dh-python,
 fftw-dev,
 git,
 help2man,
 libasound2-dev,
 libass-dev,
 libavahi-compat-libdnssd-dev,
 libavc1394-dev,
 libbluray-dev,
 libcdaudio-dev,
 libcdio-cdda-dev,
 libcdio-dev,
 libcdio-paranoia-dev,
 libcdparanoia-dev | libcdparanoia0-dev,
 libcec-dev,
 libclass-dbi-perl,
 libcoverart-dev,
 libdate-manip-perl,
 libdatetime-format-iso8601-perl,
 libdbd-mysql-perl,
 libdiscid-dev,
 libdrm-dev,
 libdvdnav-dev,
 libdvdread-dev | libdvdread3-dev,
 libexif-dev (>= 0.6.9-6),
 libexiv2-dev,
 libfaad-dev | libfaad2-dev,
 libfftw3-dev,
 libflac-dev,
 libfreetype6-dev,
 libgl1-mesa-dev | xlibmesa-gl-dev | xlibmesa-dev | libgl-dev,
 libgnutls28-dev,
 libhdhomerun-dev,
 libiec61883-dev,
 libimage-size-perl,
 libimlib2-dev,
 libio-socket-inet6-perl,
 libjson-perl,
 liblircclient-dev | liblirc-dev,
 liblzo2-dev,
 libmad0-dev,
 libmp3lame-dev | liblame-dev,
 libmusicbrainz5-dev,
 libnet-upnp-perl,
 libpulse-dev,
 libqt5opengl5-dev,
 libqt5webkit5-dev,
 libraspberrypi-dev [armhf],
 libsamplerate0-dev,
 libsoap-lite-perl,
 libsoundtouch-dev,
 libssl-dev,
 libsystemd-dev,
 libtag1-dev,
 libtiff5-dev | libtiff4-dev | libtiff-dev,
 libudev-dev,
 libva-dev,
 libvdpau-dev | nvidia-190-libvdpau-dev [i386 amd64] | nvidia-185-libvdpau-dev [i386 amd64] | nvidia-180-libvdpau-dev [i386 amd64],
 libvisual-0.4-dev,
 libvorbis-dev,
 libvpx-dev,
 libwww-perl,
 libx264-dev,
 libxcb-shm0-dev,
 libxext-dev | xlibs-static-dev (<< 6.8.1-1),
 libxinerama-dev | xlibs-static-dev (<< 6.8.1-1),
 libxml-simple-perl,
 libxml-xpath-perl,
 libxml2-dev,
 libxnvctrl-dev,
 libxrandr-dev,
 libxv-dev,
 libxvmc-dev | xlibs-static-dev (<< 6.8.1-1),
 libxxf86vm-dev | xlibs-static-dev (<< 6.8.1-1),
 libzip-dev,
 linux-kernel-headers | linux-headers-generic,
 lsb-release,
 nasm,
 po-debconf,
 python3,
 python3-lxml,
 python3-mysqldb,
 python3-pip,
 python3-requests,
 python3-setuptools,
 python3-simplejson,
 qt5-qmake,
 qtdeclarative5-dev,
 qtscript5-dev,
 quilt,
 uuid-dev,

Package: mythtv
Architecture: all
Depends:
 default-mysql-server | virtual-mysql-server | mysql-server-5.7 | mysql-server-5.6 | mariadb-server,
 mythtv-backend,
 mythtv-database,
 mythtv-frontend,
 ntp | time-daemon | ntp-simple,
 ${misc:Depends},
Suggests:
 mythtv-doc,
Description: Personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 http://www.mythtv.org/
 .
 This package will install a complete MythTV client/server environment on a
 single system.  If you are intended on using this as your only MythTV machine,
 and this machine is already configured as a desktop, this package will get you
 up and running switfly.
 .
 If you are intended on installing this on a standalone/non-desktop machine,
 you should look into the Metapackages available:
 mythtv-backend-master (backend with a local database)
 mythtv-backend (backend needing a remote database)

Package: mythtv-common
Architecture: amd64 arm64
Pre-Depends:
 pwgen,
Depends:
 adduser,
 default-mysql-client | virtual-mysql-client | mysql-client-5.7 | mysql-client-5.6 | mariadb-client,
 fonts-dejavu,
 fonts-droid-fallback | fonts-droid | ttf-droid,
 fonts-liberation | ttf-liberation,
 fonts-texgyre | tex-gyre,
 fonts-tlwg-purisa,
 libgnutls30,
 libxml-xpath-perl,
 pciutils,
 python3,
 python3-lxml,
 python3-mysqldb,
 python3-requests,
 python3-requests-cache,
 python3-simplejson,
 usbutils,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Suggests:
 mythtv-doc,
Conflicts:
 mythcontrols,
 mythmusic (<< 0.20.99+trunk14393),
 mythtv (<< 0.8-1),
 mythtv-theme-blootube,
 mythtv-theme-blootube-wide,
 mythtv-theme-blootubelite-wide,
 mythtv-theme-childish,
 mythtv-theme-glass-wide,
 mythtv-theme-gray-osd,
 mythtv-theme-isthmus,
 mythtv-theme-iulius,
 mythtv-theme-metallurgy,
 mythtv-theme-minimalist-wide,
 mythtv-theme-mythcenter,
 mythtv-theme-mythcenter-wide,
 mythtv-theme-neon-wide,
 mythtv-theme-proejctgrayhem-wide,
 mythtv-theme-projectgrayhem,
 mythtv-theme-retro,
 mythtv-theme-titivillus,
 mythtv-themes,
 mythweather (<< 0.20.99+trunk14393),
Replaces:
 mythcontrols,
 mythcontrols (<< 0.20.trunk19500),
 mythmusic (<< 0.20.99+trunk14393),
 mythtv (<< 0.8-1),
 mythtv-backend (<< 2:0.28.0~master.20150106.b8b9a1e-0ubuntu0mythbuntu4),
 mythtv-database (<< 0.24.0~trunk25638),
 mythtv-frontend (<< 0.23.0~trunk23548),
 mythtv-frontend (<< 2:0.28.0+fixes.20161010.38d9ba2-0ubuntu0mythbuntu4),
 mythtv-theme-gray-osd,
 mythtv-theme-isthmus,
 mythtv-theme-mythcenter,
 mythtv-theme-mythcenter-wide,
 mythvideo,
 mythweather (<< 0.20.99+trunk14393),
Breaks:
 mythtv-backend (<< 2:0.28.0~master.20150106.b8b9a1e-0ubuntu0mythbuntu4),
 mythtv-frontend (<< 2:0.28.0+fixes.20161010.38d9ba2-0ubuntu0mythbuntu4),
 mythvideo,
Description: Personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Conflicts:
 mythtv (<< 0.8-1),
Section: doc
Replaces:
 mythtv (<< 0.8-1),
Depends:
 ${misc:Depends},
Description: Personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Depends:
 cron,
 default-mysql-client | virtual-mysql-client | mysql-client-5.7 | mysql-client-5.6 | mariadb-client,
 libdbd-mysql-perl,
 mythtv-common,
 ${misc:Depends},
Recommends:
 update-notifier | update-notifier-kde,
Conflicts:
 mythtv (<< 0.8-1),
 mythtv-common (<< 0.8-2),
Replaces:
 mythtv (<< 0.8-1),
 mythtv-common (<< 0.8-2),
Description: Personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package sets up a MySQL database for use by MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: amd64 arm64
Depends:
 cron,
 libjs-jquery,
 libxml-simple-perl,
 mythtv-common,
 mythtv-transcode-utils,
 python3,
 wget,
 xterm,
 zenity | kdebase-bin,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 mythtv (<< 0.8-1),
Replaces:
 mythtv (<< 0.8-1),
 mythtv-frontend (<= 0.20-0.4),
Recommends:
 hdhomerun-config,
 libmyth-python,
 libmythtv-perl,
 logrotate,
 ntp | time-daemon | ntp-simple,
Suggests:
 mythtv-database,
 mythtv-frontend,
 mythweb,
 xmltv-util,
Description: Personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-transcode-utils
Architecture: amd64 arm64
Depends:
 mythtv-common,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 mythtv-backend (<< 0.20.2-0ubuntu1),
Replaces:
 mythtv-backend (<< 0.20.2-0ubuntu1),
Suggests:
 mytharchive,
 mythtv-backend,
Description: Utilities used for transcoding MythTV tasks
 Some utilities are applicable for both a frontend or a backend machine.
 This package provides utilities that can be used on both without
 requiring an entire backend to be installed.

Package: mythtv-frontend
Architecture: amd64 arm64
Depends:
 adduser,
 libegl1-mesa-dev [armhf],
 libgles2-mesa-dev [armhf],
 libmyth-python,
 libnotify-bin,
 libwww-perl,
 libxml-simple-perl,
 mythtv-common,
 python3,
 wmctrl,
 zenity | kdebase-bin,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libmythtv-perl,
 python3-pil,
 udisks2 | udisks,
Suggests:
 mythgame,
 mythmusic,
 mythtv-backend,
 mythweather,
 ntp | time-daemon | ntp-simple,
Conflicts:
 mythappearance (<< 0.21.0),
 mythflix (<< 0.23.0),
 mythstream (<< 0.21.0),
 mythtv (<< 0.8-1),
Replaces:
 mythappearance (<< 0.21.0),
 mythtv (<< 0.8-1),
 mythvideo,
Breaks:
 mythvideo,
Description: Personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth
Architecture: amd64 arm64
Section: libs
Depends:
 libqt5sql5-mysql,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libmyth-0.23-0,
 libmyth-0.24-0,
 libmyth-0.25-0,
 libmyth-0.26-0,
 libmyth-0.27-0,
 libmyth-0.28-0,
 libmyth-0.29-0,
 libmyth-29-0,
 mythtv (<< 0.7-5),
Replaces:
 libmyth-0.23-0,
 libmyth-0.24-0,
 libmyth-0.25-0,
 libmyth-0.26-0,
 libmyth-0.27-0,
 libmyth-0.28-0,
 libmyth-0.29-0,
 libmyth-29-0,
 mythtv (<< 0.7-5),
Description: Common library code for MythTV and add-on modules (runtime)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains a shared library, libmyth, which is used by various
 components in the system.

Package: libmyth-dev
Architecture: amd64 arm64
Section: libdevel
Depends:
 libmyth (= ${binary:Version}),
 ${misc:Depends},
Conflicts:
 libmyth-0.23-0-dev,
 libmyth-0.24-0-dev,
 libmyth-0.25-0-dev,
 libmyth-0.26-0-dev,
 libmyth-0.27-0-dev,
 libmyth-0.28-0-dev,
 libmyth-0.29-0-dev,
 libmyth-29-0-dev,
Replaces:
 libmyth-0.23-0-dev,
 libmyth-0.24-0-dev,
 libmyth-0.25-0-dev,
 libmyth-0.26-0-dev,
 libmyth-0.27-0-dev,
 libmyth-0.28-0-dev,
 libmyth-0.29-0-dev,
 libmyth-29-0-dev,
Description: Common library code for MythTV and add-on modules (development)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for developing applications which use
 libmyth (such as the various add-ons for MythTV)

Package: php-mythtv
Architecture: all
Depends:
 ${misc:Depends},
Description: PHP Bindings for MythTV
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for using PHP based applications that
 connect to MythTV backends.

Package: libmythtv-perl
Architecture: all
Section: perl

=== debian/rules ===
#!/usr/bin/make -f

#For our custom rules on all mythtv packages
# get-orig-source
# info
# newest-revision
include debian/mythtv.make

#build goes here
buildroot       := debian/tmp

# Set this to yes for releases
MYTHTV_RELEASE ?= no
ifeq (yes,$(MYTHTV_RELEASE))
MYTHTV_COMPILE_TYPE = release
else
MYTHTV_COMPILE_TYPE = profile
endif

# Use the 'profile' compile type when nostrip or noopt is used
ifneq (,$(filter nostrip noopt,$(DEB_BUILD_OPTIONS)))
MYTHTV_COMPILE_TYPE = profile
endif

## Export QT version explicitely (fixes issues for non x86/arm builders)
export QT_SELECT = 5

#                                      #
# Architecture Independent Build flags #
#                                      #
MYTHTV_CONFIGURE_OPTS +=    --compile-type=$(MYTHTV_COMPILE_TYPE) \
				--prefix=/usr \
				--runprefix=/usr \
				--enable-lirc \
				--enable-audio-alsa \
				--enable-audio-oss \
				--enable-dvb \
				--enable-firewire \
				--enable-joystick-menu \
				--with-bindings=perl \
				--enable-ffmpeg-pthreads \
				--enable-pic \
				--perl-config-opts="INSTALLDIRS=vendor" \
				--enable-libvpx \
				--enable-libmp3lame \
				--enable-libx264 \
				--enable-vdpau

#                                    #
# Architecture dependent build flags #
#                                    #
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq "$(DEB_BUILD_ARCH)" "armhf"
	MYTHTV_CONFIGURE_OPTS += --disable-opengl --disable-vaapi
else ifeq "$(DEB_BUILD_ARCH)" "arm64"
	MYTHTV_CONFIGURE_OPTS += --disable-opengl --disable-vaapi
else ifeq "$(DEB_BUILD_ARCH)" "s390x"
	MYTHTV_CONFIGURE_OPTS += --disable-opengl --disable-vaapi
else ifeq "$(DEB_BUILD_ARCH)" "ppc64el"
	MYTHTV_CONFIGURE_OPTS += --disable-opengl --disable-vaapi
else
	MYTHTV_CONFIGURE_OPTS += --enable-vaapi
endif
ifeq "$(DEB_BUILD_ARCH)" "i386"
	MYTHTV_CONFIGURE_OPTS +=  --cpu=i686 --enable-mmx
endif
ifeq "$(DEB_BUILD_ARCH)" "powerpc"
	MYTHTV_CONFIGURE_OPTS += --enable-altivec --extra-cxxflags="-maltivec"
endif
#ifeq "$(DEB_BUILD_ARCH)" "armhf"
#        MYTHTV_CONFIGURE_OPTS += --extra-cflags="-I/opt/vc/include" --extra-cxxflags="-I/opt/vc/include" --extra-cflags="-I/opt/vc/include/IL" --extra-cxxflags="-I/opt/vc/include/IL" --extra-libs="-L/opt/vc/lib" --extra-cflags="-I/opt/vc/include/interface/vcos/pthreads" --extra-cxxflags="-I/opt/vc/include/interface/vcos/pthreads" --extra-cflags="-I/opt/vc/include/interface/vmcs_host/linux" --extra-cxxflags="-I/opt/vc/include/interface/vmcs_host/linux" --extra-libs="-lEGL"
#endif

#Mythplugins configure opts
MYTHPLUGINS_CONFIGURE_OPTS += --prefix=/usr \
                              --qmake=/usr/bin/qmake \

ifeq "$(DEB_BUILD_ARCH)" "armhf"
	MYTHPLUGINS_CONFIGURE_OPTS += --disable-opengl
endif

#Use moar CPUs for jya
PROCESSORS       ?= $(shell grep -ic ^processor /proc/cpuinfo)
ifeq (0,$(PROCESSORS))
PROCESSORS := 1
endif

#link problem with binutils 2.21 in precise
#and ffmpeg sync from 0.26, libswscale
LDFLAGS:=$(shell DEB_LDFLAGS_MAINT_STRIP="-Wl,-Bsymbolic-functions" dpkg-buildflags --get LDFLAGS)

# Need a writable home directory for ccache
export HOME=$(CURDIR)/debian/home_$(DEB_BUILD_ARCH)

%:
	dh $@ --parallel --with python3

#Rather than have a configure/build/install phase, combine them all so we can do each part in order
override_dh_auto_configure:
override_dh_auto_install:
	# create the DESCRIBE file that Myth's version.sh will use to get the version
	DEB_VERSION="$(shell dpkg-parsechangelog -S version)" ;\
	GIT_VERSION="$(shell echo $(DEB_VERSION) | sed 's/[0-9]:/v/')" ;\
	GIT_MAJOR="$(shell echo $(DEB_VERSION) | sed -e 's/~ubuntu.*//' -e 's/.*://' -e 's/\..*//')" ;\
	GIT_BRANCH="$(shell echo $(DEB_VERSION) | sed -e 's/~ubuntu.*//' -e 's/.*[~+]//' -e 's/\..*//')" ;\
	if [ "$$GIT_BRANCH" = "fixes" ]; then \
		echo "BRANCH=\"$$GIT_BRANCH/$$GIT_MAJOR\"" > mythtv/DESCRIBE ;\
	else \
		echo "BRANCH=\"$$GIT_BRANCH\"" > mythtv/DESCRIBE ;\
	fi ;\
	echo "SOURCE_VERSION=\"$$GIT_VERSION\"" >> mythtv/DESCRIBE ;\

	cd mythtv && sh version.sh `pwd`

	install -m0755 -d $(CURDIR)/debian/home

	#mythtv
	cd mythtv && ./configure $(MYTHTV_CONFIGURE_OPTS)
	$(MAKE) -j$(PROCESSORS) -C mythtv
	$(MAKE) -C mythtv install INSTALL_ROOT=$(CURDIR)/debian/tmp

	#mythplugins
	cd mythplugins && ./configure $(MYTHPLUGINS_CONFIGURE_OPTS) --mythroot=$(CURDIR)/debian/tmp:$(CURDIR)/debian/libmyth-python
	$(MAKE) -j$(PROCESSORS) -C mythplugins
	for plugin in mytharchive \
	mythgame mythmusic mythnews \
	mythweather mythzoneminder mythbrowser ; do \
		$(MAKE) -C mythplugins/$$plugin install INSTALL_ROOT=$(CURDIR)/debian/$$plugin; \
	done

	#(MythTV) We replace these with shell scripts
	mv debian/tmp/usr/bin/mythfrontend debian/tmp/usr/bin/mythfrontend.real
	mv debian/tmp/usr/bin/mythtv-setup debian/tmp/usr/bin/mythtv-setup.real

override_dh_install:
	install -m0755 -d ${buildroot}/etc/php5/apache2/conf.d
	install -m0644 debian/20-mythweb.ini   ${buildroot}/etc/php5/apache2/conf.d
	install -m0755 -d ${buildroot}/etc/php/7.0/apache2/conf.d
	install -m0644 debian/20-mythweb.ini   ${buildroot}/etc/php/7.0/apache2/conf.d
	dh_install -Xusr/share/mythtv/fonts/Free \
                   -Xusr/share/mythtv/fonts/Purisa \
                   -Xusr/share/mythtv/fonts/texgyrechorus \
                   -Xusr/lib/libmythzmq.la \
                   -Xusr/share/mythtv/fonts/tiresias_gpl3.txt \
                   -XLICENSE \
                   -X.git \
                   -Xscriptaculous \
                   -Xprototype.js \
                   -Xjquery.min.js \
                   --fail-missing

	#(MythTV) Remove license files
	find debian/tmp \( -name "COPYING" -o -name "README.license" \) -delete

override_dh_compress:
	dh_compress -X.pl -X.py

override_dh_fixperms:
	dh_fixperms -X.pl -X.py

	#(All) Make sure python/perl scripts are executable
	find debian/tmp/usr/share -type f \( -iname "*.p[yl]" ! -iname "oauth_api.py" \) -size +1b -exec chmod 755 {} \;
	#(All) Remove execute permission from data files
	find debian/tmp \( -name '*.png' -o -name '*.html' -o -name '*.txt' -o -name '*.jpg' -o -name '*.xml' \) -exec chmod 644 {} +

override_dh_auto_clean:
	[ -f mythtv/config.mak ] && $(MAKE) -C mythtv distclean || true
	[ -f mythplugins/config.pro ] && $(MAKE) -C mythplugins distclean || true
	[ -f mythtv/VERSION.old ] && mv mythtv/VERSION.old mythtv/VERSION || true
	dh_auto_clean
	debconf-updatepo
	rm -rf $(CURDIR)/debian/home

override_dh_installdocs:
	dh_installdocs
	#(MythTV) Remove license files from contrib documentation.
	find debian/mythtv-backend/usr/share/doc/mythtv-backend/contrib \
		-name "COPYING" -delete
	rm -f debian/mythtv-common/usr/share/mythtv/themes/Terra/watermarks/README.license

	#(MythWeb)
	for file in LICENSE README INSTALL; do \
		rm -f debian/mythweb/usr/share/mythtv/mythweb/$$file ;\
	done
	find debian/mythweb -name ".gitignore" -type f -delete || true
	rm -rf debian/mythweb/usr/share/mythtv/mythweb/data/tv_icons
	rm -rf debian/mythweb/usr/share/mythtv/mythweb/data/cache

	#(Myththemes)
	rm -f debian/mythtv-theme-childish/usr/share/mythtv/themes/Childish/COPYING

override_dh_installman:
	debian/generate_manpages.sh
	dh_installman
